[retour au README.md](../../../README.md)  
[Retour aux Documents](../../README_DOCUMENTS.md)  
[Retour au diagramme de classes](../README_DIAGRAMMES.md)

# BDD

```plantuml
@startuml
skinparam classAttributeIconSize 0
package MLD{
entity "Athlète" as athlete {
    {static} idAthlete
    nom
    prénom
    email
    sexe
    taille
    poids
    motDePasse
    dateNaissance
}

entity "Amitié" as friendship{
{static}# idAthlete1
{static}# idAthlete2
début
}

entity "Notification" as notif {
    {static} idNotif
    message
    date
    statut
    urgence
    #athleteId
}

entity "Coach" as coach {
    {static} idCoach
    // attributs spécifiques au coach
    #athleteId
}

entity "Statistique" as stats {
    {static} idStatistique
    poids
    fcMoyenne
    fcMax
    caloriesBrûléesMoy
    date 
    #athleteId
}

entity "Entraînement" as training {
    {static} idEntrainement
    date
    description
    // Exercices
    latitude
    longitude
    feedback
    #coachId
}

entity "Participe" as takepart {
    {static} #athleteId
    {static} #entrainementId   
}


entity "SourceDonnée" as source {
    {static} idSource
    type 
    modèle
    précision
    #athleteId
}  

entity "Activité" as activity {
    {static} idActivité
    type
    date
    heureDeDébut
    heureDeFin
    effortRessent
    variabilité
    variance
    ecartType
    moyenne
    maximum
    minimum
    temperatureMoyenne
    #athleteId 
    #sourceId
}
entity "FréquenceCardiaque" as fc {
    {static} idFc
    altitude
    temps : time
    température    
    bpm
    longitude
    latitude
    #activitéId
}

}
activity --> athlete
activity --> source
activity <-- fc
coach --> athlete
athlete <-- source
stats --> athlete
takepart --> athlete
takepart --> training
friendship --> athlete
notif --> athlete
coach <-- training
athlete <-- friendship
@enduml
```